<div class="content">
  <div class="btn-wrapper">
    <app-button
      [buttonData]="newTaskButton"
      [isDisabled]="false"
      [redirectTo]="'/new-task'"
    ></app-button>
  </div>
  <app-filter-by></app-filter-by>

  <div class="todos-list">
    <div class="ations-wrapper">
      <div class="d-inline mr-3">
        <app-button
          [buttonData]="deleteSelectionButton"
          [isDisabled]="!selectedTodos.length"
          (onBtnClick)="deleteItems()"
        ></app-button>
      </div>
      <app-button
        [buttonData]="doneButton"
        [isDisabled]="!selectedTodos.length"
        (onBtnClick)="markAsDone()"
      ></app-button>
    </div>
    <div class="group" *ngFor="let group of todosGroups; let i = index">
      <div class="group_name" *ngIf="todos[group.id]?.length">
        <p>
          <span>{{ group.label }}</span>
        </p>
      </div>
      <div class="todos_item" *ngFor="let todo of todos[group.id]">
        <app-item-card
          [todos]="todosList"
          [item]="todo"
          (onItemSelcted)="onSelectItems($event)"
        ></app-item-card>
      </div>
    </div>
  </div>
</div>
